


.rotate-90 {

  transform: rotate(-90deg);
  /* Legacy vendor prefixes that you probably don't need... */
  /* Safari */
  -webkit-transform: rotate(-90deg);
  /* Firefox */
  -moz-transform: rotate(-90deg);
  /* IE */
  -ms-transform: rotate(-90deg);
  /* Opera */
  -o-transform: rotate(-90deg);
  /* Internet Explorer */
  filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=3);

}

.bc-head-txt-label {
    -ms-writing-mode: tb-rl;
    -webkit-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
    white-space: nowrap;
}
.rotated-text__inner-01 {
    display: inline-block;
    white-space: nowrap;
    /* this is for shity "non IE" browsers
       that dosn't support writing-mode */
    -webkit-transform: translate(-0.4em,2.6em) rotate(-90deg);
       -moz-transform: translate(-0.4em,2.6em) rotate(-90deg);
         -o-transform: translate(-0.4em,2.6em) rotate(-90deg);
            transform: translate(-0.4em,2.6em) rotate(-90deg);
    -webkit-transform-origin: 0 0;
       -moz-transform-origin: 0 0;
         -o-transform-origin: 0 0;
            transform-origin: 0 0;
   /* IE9+ */
   -ms-transform: none;
   -ms-transform-origin: none;
   /* IE8+ */
   -ms-writing-mode: tb-rl;
   /* IE7 and below */
   *writing-mode: tb-rl;
}

:lang(en) .rotated-text__inner-01 {
    display: inline-block;
    white-space: nowrap;
    /* this is for shity "non IE" browsers
       that dosn't support writing-mode */
    -webkit-transform: translate(-0.4em,5.6em) rotate(-90deg);
       -moz-transform: translate(-0.4em,5.6em) rotate(-90deg);
         -o-transform: translate(-0.4em,5.6em) rotate(-90deg);
            transform: translate(-0.4em,5.6em) rotate(-90deg);
    -webkit-transform-origin: 0 0;
       -moz-transform-origin: 0 0;
         -o-transform-origin: 0 0;
            transform-origin: 0 0;
   /* IE9+ */
   -ms-transform: none;
   -ms-transform-origin: none;
   /* IE8+ */
   -ms-writing-mode: tb-rl;
   /* IE7 and below */
   *writing-mode: tb-rl;
}

.rotated-text__inner-02 {
    display: inline-block;
    white-space: nowrap;
    /* this is for shity "non IE" browsers
       that dosn't support writing-mode */
    -webkit-transform: translate(0em,4.5em) rotate(-90deg);
       -moz-transform: translate(0em,4.5em) rotate(-90deg);
         -o-transform: translate(0em,4.5em) rotate(-90deg);
            transform: translate(0em,4.5em) rotate(-90deg);
    -webkit-transform-origin: 0 0;
       -moz-transform-origin: 0 0;
         -o-transform-origin: 0 0;
            transform-origin: 0 0;
   /* IE9+ */
   -ms-transform: none;
   -ms-transform-origin: none;
   /* IE8+ */
   -ms-writing-mode: tb-rl;
   /* IE7 and below */
   *writing-mode: tb-rl;
}

.rotated-text__inner-03 {
    display: inline-block;
    white-space: nowrap;
    /* this is for shity "non IE" browsers
       that dosn't support writing-mode */
    -webkit-transform: translate(-0.4em,4em) rotate(-90deg);
       -moz-transform: translate(-0.4em,4em) rotate(-90deg);
         -o-transform: translate(-0.4em,4em) rotate(-90deg);
            transform: translate(-0.4em,4em) rotate(-90deg);
    -webkit-transform-origin: 0 0;
       -moz-transform-origin: 0 0;
         -o-transform-origin: 0 0;
            transform-origin: 0 0;
   /* IE9+ */
   -ms-transform: none;
   -ms-transform-origin: none;
   /* IE8+ */
   -ms-writing-mode: tb-rl;
   /* IE7 and below */
   *writing-mode: tb-rl;
}

.rotated-text__inner-04 {
    display: inline-block;
    white-space: nowrap;
    /* this is for shity "non IE" browsers
       that dosn't support writing-mode */
    -webkit-transform: translate(0em,7.5em) rotate(-90deg);
       -moz-transform: translate(0em,7.5em) rotate(-90deg);
         -o-transform: translate(0em,7.5em) rotate(-90deg);
            transform: translate(0em,7.5em) rotate(-90deg);
    -webkit-transform-origin: 0 0;
       -moz-transform-origin: 0 0;
         -o-transform-origin: 0 0;
            transform-origin: 0 0;
   /* IE9+ */
   -ms-transform: none;
   -ms-transform-origin: none;
   /* IE8+ */
   -ms-writing-mode: tb-rl;
   /* IE7 and below */
   *writing-mode: tb-rl;
}

.added ul {
  flex-wrap: wrap;
  display: flex;
}
.added ul li {
  flex: 1 0 50%;
}
.red-tooltip + .tooltip > .tooltip-inner {
	background-color: #fff !important;
}
.required label.col-form-label:after {
  content:"*";
  color:red;
}
.modelSpec li.ui-tabs-active{
    border: 1px solid #bf504d;
  	background-color: #bf504d !important;
  	color: #fff !important;
}
._border-c-red-s2{
	border: 2px solid #ED1C24 !important;
}
._box_required_search{
	right: 0;
	top: 0;
	border-top-right-radius: 10%;
}

._bg-gray{
	background-color: #7f7f7f !important;
}
._bg-green-a{
	background-color: #9abb59 !important;
}
._bg-over-black:hover{
	background-color: #000000 !important;
}
._bg-blue-a{
	background-color: #0070C0 !important;
}
._bg-gray-a{
	background-color:#393939 !important;
}
._c-yellow{
	color: #ffff00;
}
.card-img-overlay{
    background-color: rgb(0, 0, 0,0.4);
}
.current_vehicle {
    background-color: #ED1C24 !important;
    color: #fff !important;
    text-align: center !important;
    border: 1px solid #DEE2E6 !important;
}

.sub_vehicle {
    background-color: #393939 !important;
    color: #fff !important;
    text-align: center !important;
    border: 1px solid #DEE2E6 !important;
}

/* [FULL SCREEN SPINNER] */
#spinner-back, #spinner-front {
  position: fixed;
  width: 100vw;
  transition: all 1s;
  visibility: hidden;
  opacity: 0;
}
#spinner-back {
  z-index: 998;
  height: 100vh;
  background: rgba(0, 0, 0, 0.7);
}
#spinner-front {
  z-index: 999;
  color: #fff;
  text-align: center;
  margin-top: 50vh;
  transform: translateY(-50%);
}
#spinner-back.show, #spinner-front.show {
  visibility: visible;
  opacity: 1;
}
.lds-ripple,
.lds-ripple div {
  box-sizing: border-box;
}
.lds-ripple {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid currentColor;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@keyframes lds-ripple {
  0% {
    top: 36px;
    left: 36px;
    width: 8px;
    height: 8px;
    opacity: 1;
  }
  100% {
    top: 0;
    left: 0;
    width: 80px;
    height: 80px;
    opacity: 0;
  }
}
.cart_count, .wishlist_count {
	position: absolute;
	top: -10px;
	right: 0;
	font-size: 14px;
	background-color: #000000;
	border-radius: 50px;
	height: 25px;
	line-height: 25px;
	color: #fff;
	min-width: 25px;
	text-align: center;
	padding: 0 5px;
	display: inline-block;
	vertical-align: top;
	margin-left: -5px;
	margin-right: -5px;
}
.count_model_compare{
	top: 0px;
	right: 0;
	font-size: 14px;
	background-color: #000000;
	border-radius: 50%;
	height: 20px;
	line-height: 20px;
	color: #fff;
	min-width: 20px;
	text-align: center;
	padding: 0 5px;
	display: inline-block;
	vertical-align: top;
	margin-left: -5px;
	margin-right: -5px;
}
.text-space {
  width: min-intrinsic;       /* old Chrome, Safari */
  width: -webkit-min-content; /* less old Chrome, Safari */
  width: -moz-min-content;    /* current Firefox */
  width: min-content;         /* current Chrome, Safari; not IE or Edge */
}
._text_danger{
	color: #ED1C24;
}
._fs14px{
	font-size: 14px;
}
._fs12px{
	font-size: 12px;
}
.dd.ddcommon {
	cursor: pointer;
	padding-right: 10px;
	position: relative;
	width: auto !important;
	outline: none;
}
.ddcommon .ddTitleText img {
	/*border-radius: 100%;*/
	height: 24px;
	width: 24px;
	margin-right: 6px;
}
.ddcommon .ddTitleText {
	padding: 5px 7px 5px 10px;
	display: inline-block;
	text-transform: uppercase;
}
.ddcommon .ddlabel {
	text-transform: capitalize;
	font-size: 14px;
	color: #333;
	white-space: nowrap;
	vertical-align: middle;
}
.ddcommon .ddChild li .ddlabel {
	color: #333 !important;
	padding-left: 6px;
}
.ddArrow::before {
	content: "\f3d0";
	color: #878787;
	font-family: ionicons;
	position: absolute;
	right: 0;
	top: 6px;
}
.ddcommon .ddChild {
	background-color: #fff;
	height: auto !important;
	-webkit-transform: scale(0.75) translateY(-21px);
	-ms-transform: scale(0.75) translateY(-21px);
	transform: scale(0.75) translateY(-21px);
	-webkit-transition: all 0.2s cubic-bezier(0.5, 0, 0, 1.25), opacity 0.15s ease-out;
	transition: all 0.2s cubic-bezier(0.5, 0, 0, 1.25), opacity 0.15s ease-out;
	display: block !important;
	opacity: 0;
	visibility: hidden !important;
	left: 0;
}
.ddcommon.borderRadiusTp .ddChild {
	opacity: 1;
	visibility: visible !important;
	-webkit-transform: scale(1) translateY(0);
	-ms-transform: scale(1) translateY(0);
	transform: scale(1) translateY(0);
}
.ddcommon .ddChild li {
	cursor: pointer;
	line-height: normal;
	list-style: outside none none;
	padding: 5px 10px 5px 10px;
	position: relative;
}
.lng_dropdown .ddcommon .ddChild li {
	padding-left: 33px;
}
.ddcommon .ddChild li img {
	position: absolute;
	left: 10px;
	max-width: 24px;
	top: 6px;
}
.ddChild ul {
    padding-left: 0px;
    margin-bottom: 0px;
}